Subject: Re: [PATCH] netfilter: per netns nf_conntrack_cachep

From: Alexey Dobriyan <[email-masked]>
Date: Wed, 3 Feb 2010 21:53:38 +0200

On Wed, Feb 03, 2010 at 02:46:11PM -0500, Jon Masters wrote:
> On Wed, 2010-02-03 at 14:44 -0500, Jon Masters wrote:
> > On Wed, 2010-02-03 at 21:09 +0200, Alexey Dobriyan wrote:
> > > On Wed, Feb 03, 2010 at 01:38:09PM -0500, Jon Masters wrote:
> 
> > > > I also think it is necessary to expose net namespace layout
> > > 
> > > Not necessary. Why?
> > 
> > How am I as a sysadmin supposed to figure out which net namespaces exist
> > on my system, and as a developer, supposed to debug these situations?
> 
> (without Jason's excellent kgdb patches, which really help)

Oh! Just like as usual, thinking and looking at oops and code.

Because when box is dead, netns info is not goint to be printed
anyway.